<?xml version="1.0" encoding="UTF-8"?>
<configuration>
    <system.webServer>
        <rewrite>
            <rules>
                <rule name="Importierte Regel 1">
                    <match url="^(.*)\.html" ignoreCase="false" />
                    <action type="Rewrite" url="{R:1}\.php" />
                </rule>
                <rule name="Importierte Regel 2">
                    <match url="^crossdomain.xml$" ignoreCase="false" />
                    <action type="Rewrite" url="/crossdomain.php" />
                </rule>
                <rule name="Importierte Regel 3">
                    <match url="^gamedata/external(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/externals.php" />
                </rule>
                <rule name="Importierte Regel 4">
                    <match url="^papers/termsAndConditions(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/agb.php?mode=termsAndConditions" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 5">
                    <match url="^papers/privacy(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/agb.php?mode=privacy" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 6">
                    <match url="^home/([^/]+)/id(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/home.php?qryId={R:1}" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 7">
                    <match url="^home/([^/]+)(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/home.php?qryName={R:1}" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 8">
                    <match url="^security_check(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/security_check.php" />
                </rule>
                <rule name="Importierte Regel 9">
                    <match url="^profile(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/profile.php" />
                </rule>
                <rule name="Importierte Regel 10">
                    <match url="^client(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/client.php" />
                </rule>
                <rule name="Importierte Regel 11">
                    <match url="^flash_client_error(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/client_error.php" />
                </rule>
                <rule name="Importierte Regel 12">
                    <match url="^client_error(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/client_error.php" />
                </rule>
                <rule name="Importierte Regel 13">
                    <match url="^me(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/me.php" />
                </rule>
                <rule name="Importierte Regel 14">
                    <match url="^login_popup(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/login-popup.php" />
                </rule>
                <rule name="Importierte Regel 15">
                    <match url="^identity/useOrCreateAvatar/([^/]+)(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/identity.php?type=useOrCreateAvatar&amp;param={R:1}" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 16">
                    <match url="^identity/([^/]+)/error/([^/]+)(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/identity.php?type={R:1}&amp;errors={R:2}" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 17">
                    <match url="^identity/([^/]+)(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/identity.php?type={R:1}" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 18">
                    <match url="^changeRLname/([^/]+)/code/([^/]+)(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/changeRLname.php?name={R:1}&amp;code={R:2}" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 19">
                    <match url="^community(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/community.php" />
                </rule>
                <rule name="Importierte Regel 20">
                    <match url="^staff(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/staff.php" />
                </rule>
                <rule name="Importierte Regel 21">
                    <match url="^stream(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/stream.php" />
                </rule>
                <rule name="Importierte Regel 22">
                    <match url="^stream/mystream(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/stream.php?mode=me" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 23">
                    <match url="^stream/user/([^/]+)(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/stream.php?mode=username&amp;user={R:1}" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 24">
                    <match url="^room/([^/]+)(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/room.php?goto={R:1}" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 25">
                    <match url="^credits(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/credits.php" />
                </rule>
                <rule name="Importierte Regel 26">
                    <match url="^credits/pixels(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/pixels.php" />
                </rule>
                <rule name="Importierte Regel 27">
                    <match url="^credits/club(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/habboclub.php" />
                </rule>
                <rule name="Importierte Regel 28">
                    <match url="^credits/habboclub(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/habboclub.php" />
                </rule>
                <rule name="Importierte Regel 29">
                    <match url="^credits/uberclub(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/habboclub.php" />
                </rule>
                <rule name="Importierte Regel 30">
                    <match url="^credits/uberclub/tryout(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/clubtryout.php" />
                </rule>
                <rule name="Importierte Regel 31">
                    <match url="^credits/habboclub/tryout(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/clubtryout.php" />
                </rule>
                <rule name="Importierte Regel 32">
                    <match url="^register(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/register.php?stap=1" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 33">
                    <match url="^register_submit(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/register.php?doSubmit" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 34">
                    <match url="^register_messages(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/register-messages.php" />
                </rule>
                <rule name="Importierte Regel 35">
                    <match url="^register/cancel(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/register-cancel.php" />
                </rule>
                <rule name="Importierte Regel 36">
                    <match url="^register/welcome(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/welcome.php" />
                </rule>
                <rule name="Importierte Regel 37">
                    <match url="^register/undefined(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/index.php" />
                </rule>
                <rule name="Importierte Regel 38">
                    <match url="^quickregister/cancel(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/register.php?cancal" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 39">
                    <match url="^quickregister/complete(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/me.php" />
                </rule>
                <rule name="Importierte Regel 40">
                    <match url="^register/welcome(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/me.php" />
                </rule>
                <rule name="Importierte Regel 41">
                    <match url="^identity/useOrCreateAvatar/([^/]+)(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/identity.php?type=useOrCreateAvatar&amp;param={R:1}" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 42">
                    <match url="^identity/([^/]+)/error/([^/]+)(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/identity.php?type={R:1}&amp;errors={R:2}" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 43">
                    <match url="^identity/([^/]+)(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/identity.php?type={R:1}" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 44">
                    <match url="^changeRLname/([^/]+)/code/([^/]+)(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/changeRLname.php?name={R:1}&amp;code={R:2}" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 45">
                    <match url="^quickregister/start(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/register.php?stap=1" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 46">
                    <match url="^quickregister/start/error/([^/]+)(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/register.php?stap=1&amp;errors={R:1}" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 47">
                    <match url="^quickregister/age_gate_submit(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/register.php?stap=2" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 48">
                    <match url="^quickregister/email_password(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/register.php?stap=3" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 49">
                    <match url="^quickregister/email_password/error/([^/]+)(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/register.php?stap=3&amp;errors={R:1}" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 50">
                    <match url="^quickregister/email_password_submit(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/register.php?stap=4" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 51">
                    <match url="^quickregister/captcha(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/register.php?stap=5" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 52">
                    <match url="^quickregister/captcha/error/([^/]+)(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/register.php?stap=5&amp;errors={R:1}" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 53">
                    <match url="^quickregister/captcha_submit(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/register.php?stap=6" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 54">
                    <match url="^vip/shop(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/vipshop.php" />
                </rule>
                <rule name="Importierte Regel 55">
                    <match url="^vip/getpoints(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/vippoints.php" />
                </rule>
                <rule name="Importierte Regel 56">
                    <match url="^account/policy-verify(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/policyver.php" />
                </rule>
                <rule name="Importierte Regel 57">
                    <match url="^account/password/forgot(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/forgot.php" />
                </rule>
                <rule name="Importierte Regel 58">
                    <match url="^account/submit(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/index.php" />
                </rule>
                <rule name="Importierte Regel 59">
                    <match url="^account/logout(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/logout.php" />
                </rule>
                <rule name="Importierte Regel 60">
                    <match url="^account/logout_ok(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/logout-ok.php" />
                </rule>
                <rule name="Importierte Regel 61">
                    <match url="^account/disconnected(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/disconnected.php" />
                </rule>
                <rule name="Importierte Regel 62">
                    <match url="^articles(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/article.php?mostRecent" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 63">
                    <match url="^articles/archive(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/article.php?mostRecent&amp;archiveMode" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 64">
                    <match url="^articles/([^/]+)/in/archive(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/article.php?rel={R:1}&amp;archiveMode" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 65">
                    <match url="^articles/([^/]+)(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/article.php?rel={R:1}" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 66">
                    <match url="^articles/category/([^/]+)(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/article.php?category={R:1}" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 67">
                    <match url="^register/undefined/([^/]+)$" ignoreCase="false" />
                    <action type="Rewrite" url="/me.php" />
                </rule>
                <rule name="Importierte Regel 68">
                    <match url="^habblet/cproxy(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/habbletProxy.php" />
                </rule>
                <rule name="Importierte Regel 69">
                    <match url="^habblet/ajax/([^/]+)(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/habbletAjax.php?cmd={R:1}" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 70">
                    <match url="^habblet/([^/]+)(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/habblet.php?cmd={R:1}" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 71">
                    <match url="^myhabbo/([^.]+)(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/myhabbo.php?cmd={R:1}" appendQueryString="false" />
                </rule>
                <rule name="Importierte Regel 72">
                    <match url="^minimail/loadMessage(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/minimail-view.php" />
                </rule>
                <rule name="Importierte Regel 73">
                    <match url="^minimail/([^/]+)(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/minimail.php?cmd={R:1}" appendQueryString="false" />
                </rule>
            </rules>
        </rewrite>
        <security>
            <requestFiltering>
                <fileExtensions>
                    <remove fileExtension=".config" />
                    <add fileExtension=".config" allowed="true" />
                </fileExtensions>
            </requestFiltering>
        </security>
        <defaultDocument>
            <files>
                <clear />
                <add value="Default.htm" />
                <add value="Default.asp" />
                <add value="index.htm" />
                <add value="index.html" />
                <add value="iisstart.htm" />
                <add value="default.aspx" />
                <add value="index.php" />
            </files>
        </defaultDocument>
    </system.webServer>
</configuration>
